Page MenuHomeFreeBSD

print/lilypond-devel: Update to 2.19.81
ClosedPublic

Authored by joneum on Jan 15 2018, 8:14 AM.

Details

Summary

print/lilypond-devel: Update to 2.19.81

-fix violation

-add patch for fontconfig

PR: 218147
Submitted by: m.ne@gmx.net (maintainer)
Approved by: xxx (mentor)
#Differential Revision: https://reviews.freebsd.org/Dxxxxx

Test Plan

This is an old PR from March 2017. People have reported issues with the update in PR.
I could build it without problems. Could this please look at a mentor? thx

10.3-amd64
10.3-i386
10.4-amd64
10.4-i386
11.1-amd64
11.1-i386
12.0-CURRENT amd64
12.0-CURRENT i386

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

joneum created this revision.Jan 15 2018, 8:14 AM

There is a build fs violation that you could try to fix.

swills added a subscriber: swills.Jan 15 2018, 1:47 PM

The fs violation is:

extra: var/db/fontconfig/67c974dbe2665f28be028ef9a5400184-le64.cache-7

I think copying the HOME=${WRKDIR} from CONFIGURE_ENV to MAKE_ENV might fix it.

The fs violation is:
extra: var/db/fontconfig/67c974dbe2665f28be028ef9a5400184-le64.cache-7
I think copying the HOME=${WRKDIR} from CONFIGURE_ENV to MAKE_ENV might fix it.

Heya swills,

thx for the hint.
You mean this change?
-CONFIGURE_ENV+= ac_cv_prog_MAKEINFO="${LOCALBASE}/bin/makeinfo" \
+MAKE_ENV+= ac_cv_prog_MAKEINFO="${LOCALBASE}/bin/makeinfo" \

joneum updated this revision to Diff 38034.Jan 16 2018, 12:09 PM

This patch Update the Port to Version 2.19.80

fix violation

add patch for fontconfig

joneum edited the summary of this revision. (Show Details)Jan 16 2018, 12:09 PM
tcberner added inline comments.Jan 16 2018, 12:53 PM
print/lilypond-devel/files/patch-mf_00-lilypond-fonts.conf.in
7 ↗(On Diff #38034)

I think this is wrong, it will probably leak the build directory to the installed config.

joneum added inline comments.Jan 16 2018, 1:04 PM
print/lilypond-devel/files/patch-mf_00-lilypond-fonts.conf.in
7 ↗(On Diff #38034)

How about that right?

joneum updated this revision to Diff 38070.Jan 16 2018, 11:14 PM

new patch resolve the violation problem

joneum retitled this revision from print/lilypond-devel: Update to 2.19.58 to print/lilypond-devel: Update to 2.19.80.Jan 16 2018, 11:15 PM

Technically it builds fine in poudriere, but it does some scary "GUI" stuff when building it "normally" -- i.e. opening a dialog window... so I think this still needs some work.

Technically it builds fine in poudriere, but it does some scary "GUI" stuff when building it "normally" -- i.e. opening a dialog window... so I think this still needs some work.

Feel free to do it. :) I have neither the knowledge nor the time to do this

joneum added a comment.Feb 4 2018, 4:45 PM

new update in work

mat added inline comments.Feb 5 2018, 10:41 PM
print/lilypond-devel/Makefile
76–78 ↗(On Diff #38070)

Why not

${SED} -e 's|%%FONTDIR%%|${WRKDIR}/fontconfig/cache/|'  \
	​           ${FILESDIR}/fonts.conf > ${WRKDIR}/.fonts.conf
joneum added inline comments.Feb 6 2018, 8:56 PM
print/lilypond-devel/Makefile
5 ↗(On Diff #38971)

okay DISTVERSION, i know :-D
will do bevor commit

joneum edited the summary of this revision. (Show Details)Feb 6 2018, 8:56 PM
joneum retitled this revision from print/lilypond-devel: Update to 2.19.80 to print/lilypond-devel: Update to 2.19.81.
joneum marked an inline comment as done.
joneum updated this revision to Diff 38972.Feb 6 2018, 9:00 PM

fix a patch problem

switch to DISTVERSION

tcberner accepted this revision.Feb 8 2018, 8:38 PM

Looks good.

This revision is now accepted and ready to land.Feb 8 2018, 8:38 PM
This revision was automatically updated to reflect the committed changes.